package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4C7 extends MwfRequest<MWF4C7, MWF4C7Response> {

    @Parameter(name = "BirthNumber")
    MWF4C7 birthNumber(String birthNumber);
    @Parameter(name = "BranchId")
    MWF4C7 branchId(String branchId);
    @Parameter(name = "ChannelId")
    MWF4C7 channelId(String channelId);
    @Parameter(name = "ClientType")
    MWF4C7 clientType(String clientType);
    @Parameter(name = "Context")
    MWF4C7 context(String context);
    @Parameter(name = "Ico")
    MWF4C7 ico(String ico);
    @Parameter(name = "ProductClass")
    MWF4C7 productClass(String productClass);
}
